<?php

/**
 *
 * $Id: class.TaskLicenseAcceptor.php,v 1.1 2005/04/21 00:17:14 dgorski Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <license@cowiki.org> so we can mail
 * you a copy immediately.
 *
 * @package     htdocs
 * @subpackage  setup
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright   (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license     http://www.gnu.org/licenses/gpl.html
 * @version     $Revision: 1.1 $
 *
 */

/**
 * coWiki - Installer task class
 *
 * @package     htdocs
 * @access      public
 *
 * @author      Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since       coWiki 0.4.0
 */
class TaskLicenseAcceptor extends AbstractTask {

    public function __construct($Tpl) {
        parent::__construct($Tpl);
        parent::checkValidUser();
    }

    // --------------------------------------------------------------------

    public function isRequired() {
        return $this->State->isInitialSetup();
    }

    // --------------------------------------------------------------------

    public function validate() {

        if (isset($_POST['accept'])) {
            $this->putToSession('accept', $_POST['accept']);

            if ($_POST['accept'] == 'yes') {
                return true;
            }

            if ($_POST['accept'] == 'no') {
                redirectToController('id=lamentor');
            }
        }

        return false;
    }

    // --------------------------------------------------------------------

    public function render() {

        $sStr =   '<table width="100%" cellpadding="0" cellspacing="0"';
        $sStr .=    ' border="0">';

        $sStr .=    '<tr>';
        $sStr .=      '<td align="center">';

        $sStr .=        '<table cellpadding="0" cellspacing="0"';
        $sStr .=          ' border="0">';
        $sStr .=          '<tr>';
        $sStr .=            '<td>';

        $sStr .=              '<div class="license-scrollarea">';
        $sStr .=                  join('<br/>', @file(SETUP_PATH.'/LICENSE'));
        $sStr .=              '</div>';

        $sStr .=            '</td>';
        $sStr .=          '</tr>';

        $sStr .=          '<tr>';
        $sStr .=            '<td>';
        $sStr .=              '<img src="img/0.gif" width="1" height="12"';
        $sStr .=              ' alt="" border="0">';
        $sStr .=            '</td>';
        $sStr .=          '</tr>';

        $sStr .=          '<tr>';
        $sStr .=            '<td>';

        $sStr .=              '<table cellpadding="0" cellspacing="0"';
        $sStr .=              ' border="0">';
        $sStr .=                '<tr>';
        $sStr .=                  '<td>';
        $sStr .=                    '<input id="yes" type="radio"';
        $sStr .=                    ' name="accept" value="yes"';

        if ($this->getFromSession('accept') == 'yes') {
            $sStr .=    ' checked="true"';
        }

        $sStr .=                    '>';
        $sStr .=                  '</td>';
        $sStr .=                  '<td>&nbsp;</td>';
        $sStr .=                  '<td width="100%">';
        $sStr .=                    '<label for="yes">';
        $sStr .=                      'I accept all the terms
                                      of the preceding License Agreement';
        $sStr .=                    '</label>';
        $sStr .=                  '</td>';
        $sStr .=                '</tr>';

        $sStr .=                '<tr>';
        $sStr .=                  '<td>';
        $sStr .=                    '<input id="no" type="radio"';
        $sStr .=                    ' name="accept" value="no"';

        if ($this->getFromSession('accept') == 'no') {
            $sStr .=    ' checked="true"';
        }

        $sStr .=                    '>';
        $sStr .=                  '</td>';
        $sStr .=                  '<td>&nbsp;</td>';
        $sStr .=                  '<td width="100%">';
        $sStr .=                    '<label for="no">';
        $sStr .=                      'I do not accept the terms';
        $sStr .=                    '</label>';
        $sStr .=                  '</td>';
        $sStr .=                '</tr>';
        $sStr .=              '</table>';

        $sStr .=            '</td>';
        $sStr .=          '</tr>';

        $sStr .=        '</table>';

        $sStr .=      '</td>';
        $sStr .=    '</tr>';

        $sStr .=  '</table>';

        // Define content
        $this->Tpl->assign('CONTENT', $sStr);

        // Define informational/warning/error messages
        $this->Tpl->assign('MESSAGE', $this->getMsgQueueFormatted());

        echo $this->Tpl->parse(SETUP_PATH.'/tpl/window.default.tpl');
    }

} // of class

/*
    Oh God, it's raining
    But I'm not complaining
    It's filling me up
    With new life

    The stars in the sky
    Bring tears to my eyes
    They're lighting my way
    Tonight

    And I haven't felt so alive
    In years

    Just for a day
    On a day like today
    I'll get away from this
    Constant debauchery

    The wind in my hair
    Makes me so aware
    How good it is to live
    Tonight

    And I haven't felt so alive
    In years

    The moon
    Is shining in the sky
    Reminding me
    Of so many other nights
    But they're not like tonight

    Oh God, it's raining
    And I'm not containing
    My pleasure at being
    So wet

    Here on my own
    All on my own
    How good it feels to be alone
    Tonight

    And I haven't felt so alive
    In years

    The moon
    Is shining in the sky
    Reminding me
    Of so many other nights
    When my eyes have been so red
    I've been mistaken for dead
    But not tonight
*/

?>